import { AuthError } from '@supabase/supabase-js';

export function handleAuthError(error: AuthError) {
  return {
    message: getErrorMessage(error),
    status: error.status || 500,
  };
}

export function getErrorMessage(error: AuthError): string {
  switch (error.message) {
    case 'Invalid login credentials':
      return 'Invalid email or password';
    case 'Email not confirmed':
      return 'Please verify your email address';
    case 'Email already registered':
      return 'An account with this email already exists';
    default:
      return error.message || 'An error occurred during authentication';
  }
}